import request from '@/assets/js/utils/request'

// 审核机构信息
export function auditDepartInfo(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/auditDepartInfo',
    method: 'post',
    data
  })
}

// 获取机构信息
export function getDepartInfo(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/getDepartInfo',
    method: 'post',
    data
  })
}

// 获取机构信息列表
export function getDepartInfoList(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/getWaitAuditDepartInfoList',
    method: 'post',
    data
  })
}

// 保存机构财务信息
export function saveDepartFinance(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/saveDepartFinance',
    method: 'post',
    data
  })
}

// 保存机构基本信息
export function saveDepartInfo(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/saveDepartInfo',
    method: 'post',
    data
  })
}

// 保存机构联系人信息
export function saveDepartLinker(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/saveDepartLinker',
    method: 'post',
    data
  })
}

// 申请表更列表
export function getApplyChangeHistoryList(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/departHistory/getApplyChangeHistoryList',
    method: 'post',
    data
  })
}

// 保存变更机构基本信息
export function saveChangeDepartInfo(data) {
  return request({
    url: '/bidprocurement/common-user/user/departHistory/saveChangeDepartInfo',
    method: 'post',
    data
  })
}

// 保存变更机构联系人信息
export function saveChangeDepartLinker(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/departHistory/saveChangeDepartLinker',
    method: 'post',
    data
  })
}

// 保存变更机构财务信息
export function saveChangeDepartFinance(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/departHistory/saveChangeDepartFinance',
    method: 'post',
    data
  })
}

// 查看变更信息
export function checkChangeInfo(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/departHistory/checkChangeInfo?id=' +
      data,
    method: 'post'
  })
}

// 获取申请变更审核列表信息
export function getApplyChangeList(data) {
  return request({
    url: '/bidprocurement/common-user/user/departHistory/getApplyChangeList',
    method: 'post',
    data
  })
}

// 变更机构运维审核
export function changeDepartAudit(data) {
  return request({
    url: '/bidprocurement/common-user/user/departHistory/changeDepartAudit',
    method: 'post',
    data
  })
}

// 查看变更字段
export function checkChangeField(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/departHistory/checkChangeField?id=' +
      data,
    method: 'post'
  })
}
